## lv2-extensions-good 0~20110526

=== debian/changelog ===
lv2-extensions-good (0~20110526-1) unstable; urgency=low

  * New upstream releases:
    - lv2-data-access-1.2
    - lv2-event-1.2
    - lv2-instance-access-1.2
    - lv2-midi-1.2
    - lv2-ui-2.2
    - lv2-uri-map-1.2
  * debian/get-orig-source:
    - Point get-orig-source to the new upstream releases.
  * debian/gbp.conf: Set compression = bzip2.

 -- Alessio Treglia <alessio@debian.org>  Fri, 27 May 2011 10:53:29 +0200

lv2-extensions-good (0~20110328-1) unstable; urgency=low

  * Initial release. (Closes: #619593)

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 May 2011 14:45:29 +0200
