=== debian/control ===
Source: lv2-extensions-good
Section: libdevel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 lv2core (>= 4.0-4~)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2core.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2core.git
Homepage: http://lv2plug.in/docs/index.php?title=External_Extensions

Package: lv2-extensions-good
Architecture: all
Depends: ${misc:Depends},
 lv2core (>= 4.0-4~)
Provides: lv2-extension
Description: LV2 extensions from the "good" set
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA which many
 applications have outgrown.
 .
 The following extensions are provided:
  * LV2 Data Access (http://lv2plug.in/ns/ext/data-access) - Defines a method
    for plugin UIs to have (possibly marshalled) access to the extension_data
    function on a plugin instance.
  * LV2 Dynamic Manifest (http://lv2plug.in/ns/ext/dyn-manifest) - An
    LV2-based specification for dynamic data generation.
  * LV2 Events (http://lv2plug.in/ns/ext/event) - Defines a generic
    time-stamped event port type, which can be used to create plugins that
    read and write real-time events.
  * LV2 Instance Access (http://lv2plug.in/ns/ext/instance-access) - Defines
    a method for plugin UIs to get a direct handle to an LV2 plugin instance
    (LV2_Handle), if possible.
  * LV2 MIDI Events (http://lv2plug.in/ns/ext/midi) - Defines an LV2 event
    type for standard raw MIDI.
  * LV2 Presets (http://lv2plug.in/ns/ext/presets) - Defines presets (e.g.
    named sets of control values) for LV2 plugins.
  * LV2 URI Map (http://lv2plug.in/ns/ext/uri-map) - Defines a simple
    mechanism for plugins to map URIs to integers, usually for performance
    reasons.
  * LV2 UI (http://lv2plug.in/ns/extensions/ui) - Defines an interface that
    can be used in LV2 plugins and hosts to create UIs for plugins.
  * LV2 Units extension (http://lv2plug.in/ns/extensions/units) - Defines a
    number of units for use in audio processing.
 .
 This package provides the LV2 extensions from the "good" set, a set of
 extensions which have been discussed and reviewed by the LV2 community
 and implemented in released software.
