=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with lv2config

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_install:
override_dh_auto_test:
override_dh_auto_clean:
	dh_auto_clean
	rm -rf get-orig-source
