## lv2-extensions-good 0~20110821

=== debian/changelog ===
lv2-extensions-good (0~20110821-1) unstable; urgency=low

  * New upstream release:
    - New LV2 Units revision 5.2.
  * debian/copyright: LV2 Units has been relicensed from Expat to ISC.
  * Update Homepage field.
  * Fix Vcs* tags.
  * Wrap and sort.

 -- Alessio Treglia <alessio@debian.org>  Sat, 27 Aug 2011 12:57:04 +0200
