=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~),
  lv2core (>= 4.0-4~)
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2core.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2core.git
-Homepage: http://lv2plug.in/docs/index.php?title=External_Extensions
+Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2-extensions-good.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lv2-extensions-good.git
+Homepage: http://lv2plug.in/
 
 Package: lv2-extensions-good
 Architecture: all
