## lv2-extensions-good 0~20111202

=== debian/changelog ===
lv2-extensions-good (0~20111202-1) unstable; urgency=low

  * New upstream releases:
    - lv2-data-access-1.4
    - lv2-dynmanifest-1.2
    - lv2-event-1.4
    - lv2-instance-access-1.4
    - lv2-midi-1.4
    - lv2-presets-2.2
    - lv2-ui-2.4
    - lv2-units-5.4
    - lv2-urid-1.0
    - lv2-uri-map-1.4
  * Update packaging to reflect changes to the buildsystem.
  * Update licensing information.
  * New build-dependency on python.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Dec 2011 11:16:11 +0100
