=== debian/rules ===
#!/usr/bin/make -f

WAF = ./waf
export DESTDIR=$(CURDIR)/debian/lv2-extensions-good

%:
	dh $@

override_dh_auto_configure:
	for ext in lv2-* ; do \
		cd $$ext && $(WAF) configure --prefix=/usr && cd .. ;\
	done

override_dh_auto_build:
	for ext in lv2-* ; do \
		cd $$ext && $(WAF) && cd .. ; \
	done

override_dh_auto_install:
	for ext in lv2-* ; do \
		cd $$ext && $(WAF) install --destdir $(DESTDIR) && cd .. ; \
	done

override_dh_auto_test:
override_dh_auto_clean:
	dh_auto_clean
	for ext in lv2-* ; do \
		cd $$ext && $(WAF) distclean && cd .. ; \
	done
	find -name "*.pyc" -delete
	rm -rf get-orig-source
