=== debian/changelog ===
lv2-extensions-good (0~20111202+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of the waf binary (Closes: #654486).
  * Adjust debian/rules to properly clean the sources tree.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 10:43:02 +0100
