=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
- lv2core (>= 4.0-4~)
+ lv2core,
+ python
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2-extensions-good.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lv2-extensions-good.git
@@ -13,7 +14,7 @@
 Package: lv2-extensions-good
 Architecture: all
 Depends: ${misc:Depends},
- lv2core (>= 4.0-4~)
+ lv2core (>> 6.0)
 Provides: lv2-extension
 Description: LV2 extensions from the "good" set
  LV2 is a simple but extensible successor of LADSPA plugins,
@@ -36,13 +37,16 @@
     type for standard raw MIDI.
   * LV2 Presets (http://lv2plug.in/ns/ext/presets) - Defines presets (e.g.
     named sets of control values) for LV2 plugins.
-  * LV2 URI Map (http://lv2plug.in/ns/ext/uri-map) - Defines a simple
-    mechanism for plugins to map URIs to integers, usually for performance
-    reasons.
   * LV2 UI (http://lv2plug.in/ns/extensions/ui) - Defines an interface that
     can be used in LV2 plugins and hosts to create UIs for plugins.
   * LV2 Units extension (http://lv2plug.in/ns/extensions/units) - Defines a
     number of units for use in audio processing.
+  * LV2 URID (http://lv2plug.in/ns/ext/urid/) - Defines a simple mechanism
+    for plugins to map URIs to and from integers, usually for performance
+    reasons. This extension is intended as an improved and simplified
+    replacement for the uri-map extension, since the map context parameter
+    has been found problematic. New implementations are strongly encouraged
+    to use this extension for URI mapping.
  .
  This package provides the LV2 extensions from the "good" set, a set of
  extensions which have been discussed and reviewed by the LV2 community
