=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	for ext in lv2-* ; do \
-		cd $$ext && $(WAF) distclean && cd .. ; \
+		cd $$ext && ( $(WAF) clean || true ) && cd .. ; \
 	done
 	find -name "*.pyc" -delete
 	rm -rf get-orig-source
